libgdamm: Gnome::Gda::Row Class Reference

libgdamm 4.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gnome::Gda::Row Class Reference
Data Handlers

Row for a Gda::DataModelArray object. More...

Inheritance diagram for Gnome::Gda::Row:
[legend]
Collaboration diagram for Gnome::Gda::Row:
[legend]

List of all members.

## Public Member Functions
virtual | ~Row ()
GdaRow* | gobj ()
| Provides access to the underlying C GObject.
const GdaRow* | gobj () const
| Provides access to the underlying C GObject.
GdaRow* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Value | get_value (int num)
| Gets a pointer to a Value stored in a Gda::Row.
int | get_length ()
## Static Public Member Functions
static Glib::RefPtr< Row > | create (int count)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::Row > | wrap (GdaRow* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Row for a Gda::DataModelArray object.

The GdaDataModelArray object uses GdaRow to store each row of data. Each GdaRow has the same number of GValue values (equal to the number of columns of the data model).

As a side note, the GdaRow object is also used internally by the implementation of the data models returned when executing a SELECT statement.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Row::~Row | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<Row> Gnome::Gda::Row::create | ( | int | count | ) | `[static]`

int Gnome::Gda::Row::get_length | ( |  | ) |

Returns:
  The number of columns that the row has.

Value Gnome::Gda::Row::get_value | ( | int | num | ) |

Gets a pointer to a Value stored in a Gda::Row.

This is a pointer to the internal array of values. Don't try to free or modify it (modifying is reserved to database provider's implementations).

Parameters:

  num | Field index.

Returns:
  A pointer to the Value in the position num of row.

const GdaRow* Gnome::Gda::Row::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaRow* Gnome::Gda::Row::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaRow* Gnome::Gda::Row::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::Row > wrap | ( | GdaRow * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/row.h